# This file created by conda-build 3.26.0
# meta.yaml template originally from:
# C:\b\abs_472u7n9lwg\clone\recipe, last modified Wed Aug  2 22:30:33 2023
# ------------------------------------------------

package:
  name: mlflow
  version: 2.5.0
source:
  sha256: f992ae8ea9c73502344baf48c4ec447aa9efbfa8965bc090868e6163234f4eb0
  url: https://pypi.io/packages/source/m/mlflow/mlflow-2.5.0.tar.gz
build:
  entry_points:
    - mlflow=mlflow.cli:cli
  number: '0'
  script: '

    C:\\b\\abs_472u7n9lwg\\croot\\mlflow_1691011855930\\_h_env\\python.exe -m pip
    install . --no-deps --no-build-isolation --ignore-installed --no-cache-dir -vvv

    '
  string: py311hd1fac3c_0
requirements:
  host:
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2023.05.30 haa95532_0
    - libffi 3.4.4 hd77b12b_0
    - openssl 3.0.9 h2bbff1b_0
    - pip 23.2.1 py311haa95532_0
    - python 3.11.4 he1021f5_0
    - setuptools 68.0.0 py311haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2023c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.38.4 py311haa95532_0
    - xz 5.4.2 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
  run:
    - alembic <2,!=1.10
    - click >=7.0,<9.0
    - cloudpickle <3.0
    - databricks-cli >=0.8.7,<1
    - docker-py >=4.0.0,<7.0
    - entrypoints <1.0
    - flask <3.0
    - gitpython >=2.1.0,<4.0
    - importlib-metadata <7,>=3.7.0,!=4.7.0
    - jinja2 <4,>=3.0
    - markdown >=3.3,<4.0
    - matplotlib-base <4.0
    - numpy <2.0
    - packaging <24
    - pandas <3.0
    - protobuf >=3.12.0,<5.0
    - pyarrow <13,>=4.0.0
    - python >=3.11,<3.12.0a0
    - pytz <2024
    - pyyaml >=5.1,<7.0
    - querystring_parser <2.0
    - requests >=2.17.3,<3.0
    - scikit-learn <2.0
    - scipy <2.0
    - sqlalchemy >=1.4.0,<3
    - sqlparse >=0.4.0,<1.0
    - waitress <3
  run_constrained:
    - fastai >=2.4.1
    - mlflow-skinny <0a0
    - mxnet !=1.8.0
    - onnx >=1.11.0
    - pytorch_lightning >=1.5.10
    - shap >=0.40
    - spacy >=3.3.0
    - tensorflow >=2.8.0
    - torch >=1.11.0
    - torchvision >=0.12.0
    - xgboost >=0.82
test:
  commands:
    - mlflow --help
  imports:
    - mlflow
    - mlflow.models
    - mlflow.projects
    - mlflow.protos
    - mlflow.pyfunc
    - mlflow.pytorch
    - mlflow.rfunc
    - mlflow.sagemaker
    - mlflow.server
    - mlflow.store
    - mlflow.tracking
    - mlflow.utils
  requires:
    - pip
about:
  description: 'MLflow is a platform to streamline machine learning development, including
    tracking

    experiments, packaging code into reproducible runs, and sharing and deploying
    models.

    MLflow offers a set of lightweight APIs that can be used with any existing machine

    learning application or library (TensorFlow, PyTorch, XGBoost, etc), wherever
    you

    currently run ML code (e.g. in notebooks, standalone applications or the cloud).

    '
  dev_url: https://github.com/mlflow/mlflow
  doc_url: https://mlflow.org
  home: https://mlflow.org/
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE.txt
  summary: 'MLflow: A Machine Learning Lifecycle Platform'
extra:
  copy_test_source_files: true
  feedstock-name: mlflow
  final: true
  flow_run_id: 471af7c7-1741-43ec-b56e-7a443caf6e00
  recipe-maintainers:
    - aarondav
    - ahirreddy
    - andrewmchen
    - aveshcsingh
    - dbczumar
    - harupy
    - janjagusch
    - jaroslawk
    - mateiz
    - mparkhe
    - pogil
    - smurching
    - sueann
    - tomasatdatabricks
    - xhochy
    - zangr
  remote_url: git@github.com:AnacondaRecipes/mlflow-feedstock.git
  sha: d83069ec91313b71082b61bf50df9e51296d70d9
